## Site-dependent definitions included in external function Makefiles
## of an installed PyFerret directory.

## =========================
## Machine type for which to build Ferret/PyFerret
##   x86_64-linux      for 64-bit RHEL
##   x86_64-linux-gnu  for 64-bit Ubuntu and many "free" Linux systems
##   i386-linux        for 32-bit RHEL
##   i386-linux-gnu    for 32-bit Ubuntu and many "free" Linux systems
##   intel-mac         for Max OSX
## This value is used to determine which platform_specific.mk
## file to include in the Makefiles.
## =========================
# BUILDTYPE = $(HOSTTYPE)
BUILDTYPE = x86_64-linux
# BUILDTYPE = x86_64-linux-gnu
# BUILDTYPE = i386-linux
# BUILDTYPE = i386-linux-gnu
# BUILDTYPE = intel-mac

## =========================
## INSTALL_FER_DIR and PYTHON_EXE are only used to construct
## the location of pyferret library.  The library should be
## (for either 32-bit or 64-bit Linux)
## $(INSTALL_FER_DIR)/lib/$(PYTHON_EXE)/site-package/pyferret/libpyferret.so
## or possibly (for 64-bit Linux only)
## $(INSTALL_FER_DIR)/lib64/$(PYTHON_EXE)/site-package/pyferret/libpyferret.so
##
## PyFerret installation directory, usually just $(FER_DIR)
## Must be $(FER_DIR) when building pyferret from source.
## (This file is also found in PyFerret installations, thus the option.)
## =========================
# INSTALL_FER_DIR = $(HOME)/PyFerret
INSTALL_FER_DIR = /builddir/build/BUILD/PyFerret-7.6.3/install

## =========================
## C and Fortran compilers to use.  The construct "$(shell which gcc)" assigns
## the response to "which gcc" run from a Bourne shell (such as bash).
## When compiling for Mac OS X, one may wish to use clang instead of gcc.
## If you wish to use values already defined in you shell environment when 
## you run make, comment out all definitions of CC and FC (do NOT leave blank).
## =========================
# CC = $(shell which clang)
CC = $(shell which gcc)
FC = $(shell which gfortran)

## =========================
## Linker used to generate executables and shared-object libraries.
## Normally the Fortran compiler is used which then calls the actual
## linker with appropriate flags and system-level Fortran libraries.
## The construct "$(shell which gfortran)" assigns the response to 
## "which gfortran" run from a Bourne shell (such as bash).
## If you wish to use a value already defined in you shell environment when 
## you run make, comment out all definitions of LD (do NOT leave blank).
## =========================
LD = $(shell which gfortran)

## =========================
## Python version used by PyFerret
## =========================
# PYTHON_EXE = python2.6
# PYTHON_EXE = python2.7
PYTHON_EXE = python3.6
# PYTHON_EXE = python3.7
# PYTHON_EXE = python3.8

## =========================
## FER_LOCAL_EXTFCNS is the directory in which to install
## the Ferret Fortran external functions.  The example
## functions that come with the PyFerret installation are
## installed in $(INSTALL_FER_DIR)/ext_func/pylibs
## =========================
FER_LOCAL_EXTFCNS = $(INSTALL_FER_DIR)/ext_func/pylibs

##
